SecurityParameters (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class SecurityParameters

- java.lang.Object
- - org.bouncycastle.crypto.tls.SecurityParameters

-     public class SecurityParameters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityParameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCipherSuite()`
    `byte[]` | `getClientRandom()`
    `short` | `getCompressionAlgorithm()`
    `int` | `getEntity()`
    `byte[]` | `getMasterSecret()`
    `int` | `getPrfAlgorithm()`
    `byte[]` | `getPskIdentity()` Deprecated. Use `getPSKIdentity()`
    `byte[]` | `getPSKIdentity()`
    `byte[]` | `getServerRandom()`
    `byte[]` | `getSessionHash()`
    `byte[]` | `getSRPIdentity()`
    `int` | `getVerifyDataLength()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityParameters

          public SecurityParameters()

  - ### Method Detail

    - #### getEntity

          public int getEntity()

      Returns:
        `ConnectionEnd`

    - #### getCipherSuite

          public int getCipherSuite()

      Returns:
        `CipherSuite`

    - #### getCompressionAlgorithm

          public short getCompressionAlgorithm()

      Returns:
        `CompressionMethod`

    - #### getPrfAlgorithm

          public int getPrfAlgorithm()

      Returns:
        `PRFAlgorithm`

    - #### getVerifyDataLength

          public int getVerifyDataLength()

    - #### getMasterSecret

          public byte[] getMasterSecret()

    - #### getClientRandom

          public byte[] getClientRandom()

    - #### getServerRandom

          public byte[] getServerRandom()

    - #### getSessionHash

          public byte[] getSessionHash()

    - #### getPskIdentity

          public byte[] getPskIdentity()

      Deprecated. Use `getPSKIdentity()`

    - #### getPSKIdentity

          public byte[] getPSKIdentity()

    - #### getSRPIdentity

          public byte[] getSRPIdentity()